## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Currently, all of the tests require network access *and* Zenodo credentials.
%bcond tests 0

Name:           python-snakemake-storage-plugin-zenodo
Version:        0.1.4
Release:        %autorelease
Summary:        A Snakemake storage plugin for reading from and writing to zenodo.org

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-storage-plugin-zenodo
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-storage-plugin-zenodo-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -L snakemake_storage_plugin_zenodo

BuildArch:      noarch

# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  snakemake >= 8
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%global common_description %{expand:
A Snakemake storage plugin for reading from and writing to zenodo.org. The
plugin takes queries of the form zenodo://record/121246/path/to/file.txt for
downloading files (here from record 121246), and
zenodo://deposition/121246/path/to/file.txt for uploading files to an existing
deposition (i.e. an unpublished and therefore still writable record).}

%description %{common_description}


%package -n python3-snakemake-storage-plugin-zenodo
Summary:        %{summary}

%description -n python3-snakemake-storage-plugin-zenodo %{common_description}


%check -a
%if %{with tests}
%pytest -v -k "${k-}" tests/tests.py
%endif


%files -n python3-snakemake-storage-plugin-zenodo -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.4-1
- Update to 0.1.4

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-6
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.1.2-2
- Rebuilt for Python 3.13

* Wed Jan 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-1
- Initial package (close RHBZ#2259251)
## END: Generated by rpmautospec
